//+------------------------------------------------------------------+
//|                                              SimpleIndicator.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red
//---- input parameters
extern int       MAFastPeriod=13;
extern int       MASlowPeriod=34;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW, EMPTY, 3);
   SetIndexArrow(0,241);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_ARROW, EMPTY, 3);
   SetIndexArrow(1,242);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   if(counted_bars>0) counted_bars--;
   int limit = Bars-counted_bars;
   if(limit > Bars-MathMax(MAFastPeriod, MASlowPeriod))
     limit = Bars-MathMax(MAFastPeriod, MASlowPeriod);
   
   for(int i = limit; i >= 0; i--)
    {
    ExtMapBuffer2[i] = EMPTY;
    ExtMapBuffer1[i] = EMPTY; 

     double MAF1 = iMA(Symbol(), 0, MAFastPeriod, 0, MODE_EMA, PRICE_CLOSE, i);
     double MAF2 = iMA(Symbol(), 0, MAFastPeriod, 0, MODE_EMA, PRICE_CLOSE, i+1);
     double MAS1 = iMA(Symbol(), 0, MASlowPeriod, 0, MODE_EMA, PRICE_CLOSE, i);
     double MAS2 = iMA(Symbol(), 0, MASlowPeriod, 0, MODE_EMA, PRICE_CLOSE, i+1);
     if ((MAF1-MAS1)*(MAF2-MAS2)<0) {
         if(MAS1 < MAS2) ExtMapBuffer2[i] = High[i]+iATR(Symbol(), 0, 14, i);
         if(MAS1 > MAS2) ExtMapBuffer1[i] = Low[i]-iATR(Symbol(), 0, 14, i); 
     }
     }
//----
   return(0);
  }
//+------------------------------------------------------------------+